/* *****************************************************************************
 * libg1m/format/cas/backup.h -- description of the CAS backup format.
 * Copyright (C) 2017 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of libg1m.
 * libg1m is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License,
 * or (at your option) any later version.
 *
 * libg1m is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libg1m; if not, see <http://www.gnu.org/licenses/>.
 * ************************************************************************** */
#ifndef LIBG1M_FORMAT_CAS_BACKUP_H
# define LIBG1M_FORMAT_CAS_BACKUP_H

/* Backups are raw backups from the calculator.
 *
 * The CAS40 specific subheader is basically "TYPE<T>".
 * For example, a backup from a CFX-98600G has the "TYPEA" subheader,
 * and the editor filename is "02".
 *
 * TODO: find out the content format. */

#endif /* LIBG1M_FORMAT_CAS_BACKUP_H */
